[solved] [LMDE] Installation of LMDE in Debian Wheezy fails

Questions about Grub, the liveCD and the installer
Forum rules
Before you post please read this

[solved] [LMDE] Installation of LMDE in Debian Wheezy fails

Postby c.monty on Fri Jan 10, 2014 7:52 pm

Hello!

I want to install LMDE + Cinnamon in an existing Debian Wheezy installation.

Therefore I have modified sources.list
Code: Select all
user@pc1:~$ cat /etc/apt/sources.list
# deb http://ftp.informatik.rwth-aachen.de/ftp/pub/Linux/debian/ wheezy main
# Debian stable
#deb http://ftp.informatik.rwth-aachen.de/ftp/pub/Linux/debian/ stable main non-free contrib
#deb-src http://ftp.informatik.rwth-aachen.de/ftp/pub/Linux/debian/ stable main non-free contrib

#deb http://security.debian.org/ stable/updates main contrib non-free
#deb-src http://security.debian.org/ stable/updates main contrib non-free

# wheezy-updates, previously known as 'volatile'
#deb http://ftp.informatik.rwth-aachen.de/ftp/pub/Linux/debian/ wheezy-updates main contrib non-free
#deb-src http://ftp.informatik.rwth-aachen.de/ftp/pub/Linux/debian/ wheezy-updates main contrib non-free

# wheezy-backports
#deb http://ftp.informatik.rwth-aachen.de/ftp/pub/Linux/debian/ wheezy-backports main contrib
#deb-src http://ftp.informatik.rwth-aachen.de/ftp/pub/Linux/debian/ wheezy-backports main contrib

# Debian unstable
#deb http://ftp.informatik.rwth-aachen.de/ftp/pub/Linux/debian/ unstable main non-free contrib
#deb-src http://ftp.informatik.rwth-aachen.de/ftp/pub/Linux/debian/ unstable main non-free contrib

# LMDE Latest
deb http://packages.linuxmint.com/ debian main upstream import
deb http://lmde-mirror.gwendallebihan.net/latest testing main contrib non-free
deb http://lmde-mirror.gwendallebihan.net/latest/security testing/updates main contrib non-free
deb http://lmde-mirror.gwendallebihan.net/latest/multimedia testing main non-free
#deb http://debian.linuxmint.com/latest testing main contrib non-free
#deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
#deb http://debian.linuxmint.com/latest/multimedia testing main non-free

and created file /etc/apt/preferences
Code: Select all
user@pc1:~$ cat /etc/apt/preferences
Package: *
Pin: release o=linuxmint
Pin-Priority: 700
 
Package: *
Pin: origin packages.linuxmint.com
Pin-Priority: 700
 
Package: *
Pin: release o=Debian
Pin-Priority: 500


However, the installation fails with the following error:
Code: Select all
user@pc1:~$ sudo apt-get install mint-meta-debian-core mint-meta-debian-cinnamon mint-meta-codecs mint-themes mintupdate-debian
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
mint-themes ist schon die neueste Version.
mintupdate-debian ist schon die neueste Version.
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 mint-meta-codecs : Hängt ab von: gstreamer0.10-esd ist aber nicht installierbar
                    Hängt ab von: gstreamer0.10-pitfdll ist aber nicht installierbar
 mint-meta-debian-cinnamon : Hängt ab von: pidgin soll aber nicht installiert werden
                             Hängt ab von: xchat soll aber nicht installiert werden
                             Hängt ab von: cinnamon soll aber nicht installiert werden
 mint-meta-debian-core : Hängt ab von: mint-artwork-debian soll aber nicht installiert werden
                         Hängt ab von: mintwelcome soll aber nicht installiert werden
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.


Why is the installer not resolving the dependencies?
Why can't I install LMDE?

THX
Last edited by c.monty on Sat Jan 11, 2014 6:44 am, edited 1 time in total.
c.monty
Level 1
Level 1
 
Posts: 42
Joined: Tue Apr 26, 2011 4:23 am

Linux Mint is funded by ads and donations.
 

Re: [LMDE] Installation of LMDE in Debian Wheezy fails

Postby Monsta on Sat Jan 11, 2014 4:38 am

c.monty wrote:I want to install LMDE + Cinnamon in an existing Debian Wheezy installation.

If you really want to convert Wheezy to LMDE, you should not forget to dist-upgrade your system after setting up all the repos and priorities.

c.monty wrote:
Code: Select all
user@pc1:~$ sudo apt-get install mint-meta-debian-core mint-meta-debian-cinnamon mint-meta-codecs mint-themes mintupdate-debian

You don't need to install mint-meta-debian-core manually because mint-meta-debian-cinnamon depends on it and will install it automatically.
Monsta
Level 9
Level 9
 
Posts: 2502
Joined: Fri Aug 19, 2011 3:46 am

Re: [solved] [LMDE] Installation of LMDE in Debian Wheezy fa

Postby sim2409 on Fri Mar 21, 2014 11:53 am

Sie müssen mit einer Debian Distribution besser in einem Debian Forum nach der Antwort fragen.

Hier habe ich etwas gefunden was hilfreich sein könnte:


http://www.linuxmintusers.de/index.php?topic=11930.0

sudo apt-get update && sudo apt-get -f install

sudo apt-get update && sudo apt-get dist-upgrade

Aber ich glaube diese befehle gehen nur im Linuxmint .

Was man für diese Befehle genau im Debian eingeben muss erfährt man in einem Debian Forum, und wenn das erste Debian Forum die Antwort nicht geben kann , probiert man es einfach im nächsten usw...

Hoffe die Antwort kann hilfreich sein...



Grüsse Simon
sim2409
Level 1
Level 1
 
Posts: 6
Joined: Sat Jul 03, 2010 12:28 pm


Return to Installation & Boot

Who is online

Users browsing this forum: No registered users and 3 guests